//========================================================================================
//
//	File:				FWVersn.cpp
//	Release Version:	$ ODF 2 $
//
//	Author:				Damon Cokenias
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef FWVERSN_H
#include "FWVersn.h"
#endif

//----------------------------------------------------------------------------------------
// FW_UnpackVersion
//----------------------------------------------------------------------------------------
void FW_UnpackVersion (FW_Version version, char& major, char& minor, char& fix,
		char& internal, FW_EVersionStage& stage)
{
	internal = (version & 0x0F) + ((version & 0xF0) >> 8) * 10;
	stage = (FW_EVersionStage) ((version >> 8) & 0xFF);
	FW_ASSERT (stage == FW_kDevelopment || stage == FW_kAlpha || stage == FW_kBeta ||
			stage == FW_kFinal);
	
	fix = (version & 0x000F0000) >> 16;
	minor = (version & 0x00F00000) >> 20;
	major = (version & 0x0F000000) >> 24 + ((version & 0xF0000000) >> 28) * 10;

}

//----------------------------------------------------------------------------------------
// FW_PackVersion
//----------------------------------------------------------------------------------------
FW_Version FW_PackVersion (char major, char minor, char fix, char internal,
		FW_EVersionStage stage)
{
	return ((major / 10) << 28) | ((major % 10) << 24) | ((minor % 10) << 20) |
			((fix % 10) << 16) | (stage << 8) | (internal % 10);
}
