//========================================================================================
//
//	File:				SLVersn.h
//	Release Version:	$ ODF 2 $
//
//	Author:				Damon Cokenias
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef SLVERSN_H
#define SLVERSN_H

enum FW_EVersionStage {
	FW_kDevelopment = 0x20,
	FW_kAlpha = 0x40,
	FW_kBeta = 0x60,
	FW_kFinal = 0x80
};

typedef unsigned long FW_Version;
//	FW_Version format (from MSB to LSB)
//	8 bits		Major version number in BCD
//	4 bits		Minor version number in BCD
//	4 bits		Fix version number in BCD
//	8 bits		Stage
//	8 bits		Internal in BCD
//
//	Thus, version 1.2.3b4 is 0x01236004

// Export or Import functions for CFM-68K [sfu]

#if defined(FW_ODFLIB_IMPORT)
#pragma import on
#elif defined(FW_ODFLIB)
#pragma export on
#endif

FW_EXTERN_C_BEGIN

extern FW_Version FW_GetODFLibraryVersion (Environment* ev);
	// Returns the ODFLibrary version number in the Macintosh 'vers' format.

FW_EXTERN_C_END

// For CFM-68K [sfu]

#if defined(FW_ODFLIB_IMPORT)
#pragma import off
#elif defined(FW_ODFLIB)
#pragma export off
#endif

#endif
